__gnu_cxx::debug_allocator< _Alloc >(3)

NAME
__gnu_cxx::debug_allocator< _Alloc > -

SYNOPSIS

  Public Types
typedef _Alloc::const_pointer const_pointer
typedef _Alloc::const_reference const_reference
typedef _Alloc::difference_type difference_type
typedef _Alloc::pointer pointer
typedef _Alloc::reference reference
typedef _Alloc::size_type size_type
typedef _Alloc::value_type value_type

  Public Member Functions
pointer allocate (size_type __n)
pointer allocate (size_type __n, const void *__hint)
void deallocate (pointer __p, size_type __n)

Detailed Description

  template<typename _Alloc>class __gnu_cxx::debug_allocator< _Alloc >
A meta-allocator with debugging bits, as per [20.4].

This is precisely the allocator defined in the C++ Standard.

•   all allocation calls operator new

•   all deallocation calls operator delete

Definition at line 62 of file debug_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.